Subject: Re: [patch net-next 4/4] net: devlink: expose default flash update target

From: Jakub Kicinski <[email-masked]>
Date: Thu, 18 Aug 2022 19:53:01 -0700

On Thu, 18 Aug 2022 15:00:42 +0200 Jiri Pirko wrote:
> Allow driver to mark certain version obtained by info_get() op as
> "flash update default". Expose this information to user which allows him
> to understand what version is going to be affected if he does flash
> update without specifying the component. Implement this in netdevsim.

My intuition would be that if you specify no component you're flashing
the entire device. Is that insufficient? Can you explain the use case?

Also Documentation/ needs to be updated.